
#include <stdio.h>
#include <stdlib.h>
#include <tcl.h>
#include <tk.h>
#include "theme.h"

int main (int argc, char *argv[]) {
	Tcl_Interp *interp;

	Tcl_FindExecutable (argv[0]);

	interp = Tcl_CreateInterp ();

	if (Tcl_Init (interp) != TCL_OK) {
		fprintf (stderr, "Tcl_Init error %s", Tcl_GetStringResult (interp));
		exit (1);
	}
	
	if (Tk_Init (interp) != TCL_OK) {
		fprintf (stderr, "Tk_Init error %s", Tcl_GetStringResult (interp));
		exit (1);
	}

	Theme_Init (interp);
	
	if (Tcl_EvalFile (interp, "./main.tcl") != TCL_OK) {
		fprintf (stderr, "error: %s\n", Tcl_GetStringResult (interp));
		exit (1);
	}

	Tk_MainLoop ();
	return 0;
}
